/**
* \file
*
* Copyright (c) 2012-2014 Pervasive Displays Inc. All rights reserved.
*
*  Author : Muchiri John
*  For: SeeedStudio EPD shield (c) 2014 seeedstudio
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*  1. Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer.
*  2. Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in
*     the documentation and/or other materials provided with the
*     distribution.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef 	DISPLAY_CONTROLLER_H_INCLUDED
#define 	DISPLAY_CONTROLLER_H_INCLUDED

#include "PDI_EPD.h"

/*user epd data*/

/*
struct user_epd_data{
	unsigned int *image_data;
	uint8_t user_epd_type;
	uint8_t inverse_image;
}epd_data;*/
EPD_read_from_sd_handler _EPD_read_sd_handler;

void EPD_display_init(void);
void EPD_power_init(uint8_t EPD_type_index);

void EPD_begin(uint8_t EPD_type_index, uint8_t inv_image);
void EPD_image_flash(PROGMEM const unsigned int *new_image);
void EPD_image_sram(uint8_t *new_image);
void EPD_image_sd(EPD_read_from_sd_handler _EPD_read);
void EPD_clear();

/*line handlers method*/
/** 
 * \brief Define the COG driver's parameters */

void flash_cmd_read(/*const uint8_t **/long flash_address, uint8_t *target_buffer, long byte_length );
/**
 * \brief Read sram data into buffer
 *
 * \param flash_address The start address of Flash
 * \param target_buffer The target address of buffer will be read
 * \param byte_length The data length will be read
 */
void sram_cmd_read(/*uint8_t *flash_address*/long sram_address, uint8_t *target_address, uint8_t byte_length);
/**
 * \brief Read Flash data into buffer
 *
 * \param flash_address The start address of Flash
 * \param target_buffer The target address of buffer will be read
 * \param byte_length The data length will be read
 */
void sd_cmd_read(long line_address, uint8_t *target_buffer, uint8_t byte_length);
/**
 * \brief clear display - all white
 *
 * \param target_buffer The target address of buffer will be read
 * \param byte_length The data length will be read
 */
void display_white(uint8_t *target_buffer, uint8_t byte_length);

#endif 	//DISPLAY_CONTROLLER_H_INCLUDED
