/**
 *
 * epdV30Image.ino
 * 
 * EPD V230 IMAGE DEMO DISPLAY
 *
 * EPDs: (c) Pervasive Displays
 * EPD Shield: (c) Seeedstudio
 *
 * Created: 12/24/2014 03:18:36
 *
 * Author: Muchiri john
 *
 */

#include <PDI_EPD.h>
#include "image.h"

/*screen sizes: 144, 200, 270*/
#define SCREEN_SIZE 270                     

/*setup method*/
void setup() {
  /*use 2.7" EPD*/
#if (SCREEN_SIZE == 270)
  /*initialize a 2.7" epd, IMAGE COLOR NOT INVERTED*/
  EPDV230.Init(EPD_270, FALSE);
  /*display 2.7" image from flash*/
  EPDV230.FlashImage(epdImage_270);
  /*wait for 10 seconds*/
  delay(10000);
  /*initialize a 2.7" epd, IMAGE COLOR INVERTED*/
  EPDV230.Init(EPD_270, TRUE);
  /*display 2.7 " image from flash : INVERTED*/
  EPDV230.FlashImage(epdImage_270);
  /*clear display*/
  //EPDV230.Clear();
  
  /*use 2.0" epd*/
#elif (SCREEN_SIZE == 200)
  /*initialize a 2.0" epd, IMAGE COLOR NOT INVERTED*/
  EPDV230.Init(EPD_200, FALSE);
  /*display 2.0 " image from flash : NORMAL*/
  EPDV230.FlashImage(epdImage_200);
  /*wait for 10 seconds*/
  delay(10000);
  /*initialize a 2.7" epd, IMAGE COLOR INVERTED*/
  EPDV230.Init(EPD_200, TRUE);
  /*display 2.0 " image from flash : INVERTED*/
  EPDV230.FlashImage(epdImage_200);
  /*clear display*/
  //EPDV230.Clear();
#endif
}

/*main loop*/
void loop() 
{
  //do something else.
}


