/**
 * epdV230_draw.ino
 *
 * epaper graphics draw example
 *
 * Author: loovee
 *		  
 * Modified by: Muchiri john
 * Created: 12/29/2014 12:49:39
 *
 */

#include <SPI.h>
#include <SD.h>

/*include epd libraries*/
#include <ePaper.h> //epd  graphics library

void setup()
{
  //initialize with your epd screen size: EPD_144, EPD_200 or EPD_270
  //and inverse image or not: FALSE/TRUE -> IMAGE NOT IMVERTED/INVERTEDD
  EPAPER.init(EPD_270, FALSE);

  //initialize epd graphics
  EPAPER.begin();
  // set display direction 
  EPAPER.setDirection(DIRNORMAL);   
  //initialize sd card
  eSD.begin();
  // init GT20L16, a font chip
  GT20L16.begin();  

  //start drawing graphics
  //draw rectangle
  EPAPER.drawRectangle(10, 10, 100, 80);
  //fill circle
  EPAPER.fillCircle(50, 50, 30);
  //fill rectangle
  EPAPER.fillRectangle(50, 65, 50, 20);
  //draw circle 1
  EPAPER.drawCircle(150, 50, 25);
  //draw circle 2
  EPAPER.drawCircle(150, 50, 20);
  //draw circle 3
  EPAPER.drawCircle(150, 50, 15);
  //draw circle 4
  EPAPER.drawCircle(150, 50, 10);
  //draw circle 5
  EPAPER.fillCircle(150, 50, 5);

  //draw a horizontal line
  EPAPER.drawHorizontalLine(120, 50, 60);
  //draw a vertical line
  EPAPER.drawVerticalLine(150, 20, 60);

  //display graphics/image
  EPAPER.display();                                   // display, you can use this function

  //wait for 10 seconds
  delay(1000);

  //clear sd image data
  EPAPER.clear_sd();                                  // clear sd card data(when use display next time, display is clear)

  //draw string
  EPAPER.drawString("all clean!", 10, 10);

  //display graphics/image
  EPAPER.display();

}

//main loop
void loop()
{
  // add code here
}

