/*-------------------------------------------------------------------------------------------
 demo of display unicode, such as Chinese
 
 loovee
 2013-7-10
 
 note: if you use an Arduin UNO, Seeeduino 3.0 (any board that use Atmega 328P or 32U4) 
 you should insert an SD card if you want to use this demo
 if you use a Arduino Mega(any board that use Atmega1280 or Atmega2560), you neen't
 insert an SD card for this demo
 
 GB2312 table: http://ash.jp/code/cn/gb2312tbl.htm
 -------------------------------------------------------------------------------------------*/

#include <SPI.h>
#include <SD.h>

/*include epd libraries*/
#include <ePaper.h>

void setup()
{
  //initialize with your epd screen size: EPD_144, EPD_200 or EPD_270
  //and inverse image or not: FALSE/TRUE -> IMAGE NOT INVERTED/INVERTED
  EPAPER.init(EPD_270, FALSE);
  
  /*uniCode characters*/
  unsigned int uniCode[5] = {
    0xc4e3, 0xbac3, '!', '!', '!'  };  /*this means "how are you" in chinese*/
  
  /*initialize epaper*/
  EPAPER.begin(); 
  /*set drawing direction */ 
  EPAPER.setDirection(DIRNORMAL);
  
  /*initialize sd card*/
  eSD.begin();
  /*initialize font chip*/                                   
  GT20L16.begin();
  
  /*draw string*/
  EPAPER.drawString("SeeedStudio", 10, 10);
  /*draw unicode string*/
  EPAPER.drawUnicodeString(uniCode, 5, 30, 40);
  
  /*display graphics on epd*/
  EPAPER.display();

}

void loop()
{
  // add code here
}

